$button-with-icon-icon-width: 40px;
$button-padding: 1.5rem;
$button-small-padding: rem(14px);
$button-sample-border-height: $border-general-height;

.button,
.button-gray,
.button-with-icon,
.button-sample,
.button-bordered {
  border: 0;
  box-sizing: border-box;
  font-size: .85rem;
  font-weight: bold;
  padding: $button-padding 0;
  text-align: center;
  transition: opacity .2s;
  width: 100%;

  &__header {
    padding: rem(10px) 0;
    height: rem(48px);
  }

  &:hover {
    cursor: pointer;
    background: $dark;
    color: $primary;
    & svg {
      fill: $primary;
    }
    .button-with-icon__icon {
      transform: translateX(5px);
    }
  }
}

.button,
.button-sample,
.button-with-icon,
.button-bordered {
  background: $color-corporative;
  color: $dark;
}

.button,
.button-sample,
.button-bordered {
  letter-spacing: rem(2px);
  text-transform: uppercase;
}

.button-with-icon {
  align-items: center;
  display: flex;
  padding: $button-padding 2rem;
  position: relative;
  &--small {
    padding: $button-small-padding 2rem;
  }
  &__header {
    padding: rem(2px) 1vw;
    height: rem(48px);
  }
  &__link:hover {
    border-color: $primary;
    text-decoration: none;
  }
}

.button-with-icon__icon {
  height: auto;
  transition: transform .2s;
  width: $button-with-icon-icon-width;
  + .button-with-icon__text {
    margin-left: 2rem;
  }
  & > .icon {
    fill: $dark;
  }
}

.button-with-icon__text {
  & + .button-with-icon__icon {
    margin-left: rem(10px);
  }
}


.button-with-icon--hover {
  cursor: pointer;
  background: #343a40;
  color: #FFDD02;
  & svg {
    fill: #FFDD02;
  }
}

.button-with-icon--ofrece {
  border-top: $button-sample-border-height solid $color-green;
}

.button-with-icon--busca {
  border-top: $button-sample-border-height solid $color-red;
}

.button-with-icon--intercambia:after,
.button-with-icon--intercambia:before {
  content: '';
  display: block;
  height: $button-sample-border-height;
  left: 0;
  position: absolute;
  top: 0;
  width: 50%;
}

.button-with-icon--intercambia:before {
  background: $color-green;
}

.button-with-icon--intercambia:after {
  background: $color-red;
  left: 50%;
}

.button-gray {
  background: $color-gray;
  color: $color-white;
}

.button-sample {
  border-top: rem(2px) solid $dark;
}

.button,
.button-with-icon {
  &--bordered {
    border: rem(2px) solid $dark;
    border-radius: rem(5px);
  }
}

.button-circle {
  border-radius: 100%;
  background: $color-corporative;
  color: $dark;
  z-index: 1002;
  &:hover {
    text-decoration: none;
    color: inherit;
  }
}

.button-circle__content {
  display: flex;
  flex-flow: row nowrap;
  height: 100%;
  width: 100%;
  align-items: center;
  justify-content: center;
}

.button-circle__number {
    margin: auto;
    position: absolute;
    padding-bottom: 0.2rem;
    text-align: center;
}

.button-circle__text {
  font-size: .85rem;
  font-weight: bold;
}
.button-circle__label {
  font-size: .6rem;
  font-weight: bold;
}

.button-circle__icon {
  margin: auto;
  height: 90%;
  width: auto;
  position: relative;
}

.button-colored-circle {
  width: rem(30px);
  height: rem(30px);
  border-radius: 50%;
  background: #ff3e54;
  &--blue {
    background: #42e1d3;
  }
}

.button-sample:disabled {
  opacity: .65;
  background-color: #C3BEBE;
  color: #343a40;
}
